[RADIO, RECOVERY] KitKat-Kit

  • 25 Antworten
  • Neuester Beitrag
Diskutiere [RADIO, RECOVERY] KitKat-Kit im Root / Hacking / Modding für HTC Desire HD im Bereich HTC Desire HD Forum.
P

Phiber2000

Experte
Beschreibung:

Um KitKat installieren zu können und gleichzeitig ein lauffähiges GPS und Co. zu erhalten, wird ein aktuelleres Radio und Recovery benötigt.
Dieses von mir zusammengestellte Image enthält wahlweise das Recovery TWRP v2.8.6.1 oder 4EXT-Recovery v1.0.0.6 RC3 mit dem Radio-ROM 12.69a.60.29_26_17_14_11_M, das erfolgreich im Zusammenspiel mit Android 4.4.x getestet wurde.​

Haftungsausschluss:

Das Angebot wurde mit größter Sorgfalt zusammengestellt und ausgiebig getestet.
Jedoch kann ich z.B. euren Akkustand oder evtl. vorhandene Wackelkontakte im Batteriefach nicht beeinflussen.
Darum der Hinweis: Ihr macht das auf eigene Gefahr!​

Diese Voraussetzungen müssen erfüllt sein:
  • Desire HD oder Inspire 4G mit S-Off
Installationsanleitung:
  • Entweder "re_twrp_2.8.6.1_ra_26_17_14_11_m.zip" [Mirror] (TWRP) oder "re_4etr_1006.3_ra_26_17_14_11_m.zip" (4EXT-Recovery) entpacken
  • Die "PD98IMG.zip" als einzelne Datei auf die SD-Karte kopieren
  • HBoot-Loader starten
  • Update-Abfrage mit "Lautstärke hoch" bestätigen
  • Nach erfolgreichem Flashen die Abfrage mit "Power" bestätigen
  • SD-Karte herausnehmen
  • Android booten lassen
  • SD-Karte einsetzen
  • Die "PD98IMG.zip" von der SD-Karte löschen
Hinweis:

Von 4EXT-Recovery steht meines Wissens mittlerweile keine mit den aktuellen Recovery-Skripten (ab Android 4.4.1) kompatible Version mehr zur Verfügung.
Aus diesem Grund habe ich den Download-Link oben entfernt. Der Vollständigkeit halber steht er jedoch nachfolgend.
"re_4etr_1006.3_ra_26_17_14_11_m.zip" (4EXT-Recovery)​

Credits:
  • jrior001
  • 4EXT Development-Team
 
Zuletzt bearbeitet:
O

Odie!

Neues Mitglied
Bei mir kommt keine Update Abfrage die bestätigt werden soll. Er dudelt einfach durch.

Muss ich noch irgendetwas wipen?

Was ist nach einem erfolgreichem flashen für eine Rom drauf?

Ist das Radio abwärts kompatibel oder nur für KitKat geeignete?
 
Zuletzt bearbeitet:
P

Phiber2000

Experte
Bei diesem Image habe ich ein paar Kleinigkeiten in den Flash-Anforderungen geändert.
Wie du richtig vermutest, sollte die Update-Abfrage erscheinen.

Deswegen ein paar Fragen:
  1. Wann in etwa hast du entsperrt?
  2. Womit hast du entsperrt? (altes AAHK oder AAHK2)
  3. Kann ich davon ausgehen, dass du die PD98IMG.zip aus dem Archiv extrahiert und nicht nochmal entpackt hast?
    (Auf der SD-Karte (Stammverzeichnis) befindet sich dann die PD98IMG.zip.)
Zu deinen Fragen:
  • Wipen musst du nichts.
  • Das Image aktualisiert nur Radio und Recovery - nicht das ROM.
  • Das Radio ist kompatibel zu allen Stock- und Custom-ROMs ab Android 2.3. Also bis dahin auch voll abwärtskompatibel.
Gruß
Phiber
 
Zuletzt bearbeitet:
O

Odie!

Neues Mitglied
Entsperrt habe ich Anfang des Jahres mit AAHK2.
Und auf die SD-Karte hab ich dann die PD98IMG.ZIP geschoben. Im Fastboot steht dann loading PD...
 
P

Phiber2000

Experte
Dann kann es nur an der SD-Karte liegen.
Welche SD-Karte und Größe?
Sichere mal die Daten der SD, formatiere sie mit FAT32 & 4KB Sektorengröße und probiere es noch einmal.

Gruß
Phiber
 
O

Odie!

Neues Mitglied
Das kann sein, hatte die SD vorher auf FAT formatiert gehabt. Das versuche ich mal.
 
O

Odie!

Neues Mitglied
Es lag an der Formatierung. Ich hatte es auf FAT (Standard) formatiert und mit FAT 32 hat es geklappt.

Super Arbeit!!!:thumbup:

Jetzt muss ich nur noch schauen das ich mein GPS ans laufen bekomme.
 
P

Phiber2000

Experte
Klasse! Danke für die Rückmeldung.

Phiber
 
TSC Yoda

TSC Yoda

Ehrenmitglied
Probleme mit GPS habe ich auch...wobei ich eine andere Rom nutze.
Es wird Signal gesucht - und das wars...
 
O

Odie!

Neues Mitglied
GPS läuft. Hab auch zusätzlich die Antenne gereinigt. Dazu gibt es auch einige Videos.
 
Lemmi

Lemmi

Experte
Ich hatte bisher eigentlich das ursprüngliche Radio drauf und GPS ging bei mir mit den angetesteten Kitkat Roms.

Das hier scheint dann noch besser zu gehn, wenn ichs richtig verstehe.

@Phiber2000, mich würde mal dein aktuell genutztes Rom interessieren, dass du ja sicher damit schon ausgiebig getestet und für gut befunden hast. Falls nicht hier, dann einfach per PM.

Gruss Lemmi1de.
 
S

Santorin2001

Fortgeschrittenes Mitglied
Die SD-Card muss komplett leer sein, außer natürlich PD98IMG.zip?
 
P

Phiber2000

Experte
Nein, kein Problem - die SD kann auch andere Daten enthalten. Ansonsten hätte ich es natürlich erwähnt.

Gruß
Phiber
 
S

Santorin2001

Fortgeschrittenes Mitglied
Gut. Der zweite Satz der Anleitung hatte mich jetzt verwirrt

"Die "PD98IMG.zip" als einzelne Datei auf die SD-Karte kopieren"

Jetzt hab auch ich es verstanden. :thumbsup:

PS: Danke für die schnelle Antwort.

Der ursprüngliche Beitrag von 10:23 Uhr wurde um 12:03 Uhr ergänzt:

Hat Wunderbar geklappt (na ja, meine Vol+ Taste klemmte) Danke schön
 
P

Phiber2000

Experte
Schick! Ich uppe demnächst auch noch ein Image mit der aktuellen TWRP-Version anstelle von 4EXT.
TWRP hat den großen Vorteil, dass die Konfiguration vollständig ohne App möglich ist.

Gruß
Phiber
 
M

MatzePlay

Neues Mitglied
Hey Phiber,
wollte mal fragen ob Du ein Image (Recovery) bereitstellen kannst womit ich die Gapps aus folgenden Thread installieren kann. Deine Version ist scheinbar zu alt :sad:. Das Rom ging aber die Gapps nicht:huh::huh:...

[ROM][UNOFFICIAL] CyanogenMod 11 Nightlies /… | HTC Desire HD | XDA Forums

A: Update your recovery to one that is compatible with new recovery functions. See the list below.

 
P

Phiber2000

Experte
Mach ich gerne! Gib mir 2-3 Tage...
 
M

MatzePlay

Neues Mitglied
Huhu Phiber,
denkste noch dran??? :winki:
 
P

Phiber2000

Experte
Muss nur noch getestet werden. Heute Abend noch! :)
Danke für die Erinnerung!
 
P

Phiber2000

Experte
TWRP ist online; 4EXT ist online. Done! :razz:

Gruß
Phiber
 
Zuletzt bearbeitet: